Subject: [PATCH v3 1/2] video: ARM CLCD: Add DT support

From: [email-masked] (Stephen Warren)
Date: Mon, 23 Sep 2013 10:30:15 -0600

On 09/23/2013 10:06 AM, Russell King - ARM Linux wrote:
> On Mon, Sep 23, 2013 at 10:03:18AM -0600, Stephen Warren wrote:
>> It sounds like you could just put LCDControl & 0x2e in the DT rather
>> than using values such as 0x100..0x107, which don't appear to match the
>> register format you mentioned above.
> 
> No.  Platforms which route the outputs to something like VGA or HDMI can
> change the framebuffer format.  Your suggestions is far too restrictive.

Surely the DT should describe the HW setup only. Usually, a particular
HW setup can support multiple different framebuffer formats. Hence, the
DT wouldn't/shouldn't imply anything about the framebuffer format, but
simply which wires are connected to the LCD.